config/routes.rb
Rails.application.routes.draw do
  get 'statistique/index'
  root 'home#index'

  get 'partenaire/sponsor'
  get 'home/profil-user', to: 'home#profil-user', as: 'profil'

  get 'classement/ranking', to: 'classement#ranking'
  get 'classement/fullranking', to: 'classement#fullranking'
  get 'classement/profil-player', to: 'classement#profil-player'

  get 'partenaire/sponsor', to: 'partenaire#sponsor', as: 'sponsor'

  mount ForestLiana::Engine => '/forest'
  devise_for :sponsors
  devise_for :players
  resources :events

  get 'show_data', to: 'datas#show_data', as: 'show_data_event'
  post 'scrapp_data/:scrapp_id', to: 'datas#scrapp_datas', as: 'scrapp_datas'
  post 'save_data/:save_id', to: 'datas#save_ws_on_db', as: 'save_events'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/controllers/classement_controller.rb
class ClassementController < ApplicationController
  def ranking
  end
end

app/helpers/classement_helper.rb
module ClassementHelper
end

app/views/classement/fullranking.html.erb
<div class="content">
  <!-- <div class="classement-header">
  </div> -->
  <div class="classement-game">
    <div class="classement-cover">
      <h2 class="regule-partenaire-header next">Classement general</h2>

      <div class="classement-all-players">
        <table>
          <tr>
            <th>Position</th>
            <th>@Name</th>
            <th>Note</th>
          </tr>
          <tr>
            <td>1</td>
            <td><%= link_to 'Geraldy', root_path %></td>
            <td>9.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>6</td>
            <td>Kevin</td>
            <td>6.7</td>
          </tr>
        </table>
      </div>
    </div>

  </div>

</div>

app/views/classement/profil-player.html.erb
<div class="special-gamer-card flip-container" ontouchstart="this.classList.toggle('click');">
  <div class="flipper">
    <div class="front">
    <div class="header-card">
      <img src="http://genknews.genkcdn.vn/2017/photo-0-1512040440234.jpg" class="gamer-photo-card" alt="">
      <div class="about-card">
        <div class="player-info">
          <h2>Faker</h2>
          <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/0/09/Flag_of_South_Korea.svg/900px-Flag_of_South_Korea.svg.png" alt="" class="flag">
        </div>
        <div class="reseaux-sociaux">
        <ul>
          <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/square-facebook-128.png" alt=""> </li>
          <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/twitter-128.png" alt=""> </li>
          <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/youtube-128.png" alt=""> </li>
        </ul>
        </div>
        <h3>Faker Nindô:</h3>
        <p class="bio">J'ai eu mon temps sur League of Legends, il est l'heure de laisser la main à la nouvelle génération. Aujourd'hui, j'ai envie d'expérimenter d'autres domaines, et pourquoi pas devenir à nouveau le meilleur.</p>
      </div>
    </div>
    <div class="mid-card">
      <ul>
        <li><span class="card-basic-info">Classement</span><span class="card-basic-result">1</span></li>
        <li><span class="card-basic-info">Record</span><span class="card-basic-result">World Champ</span></li>
        <li><span class="card-basic-info">Rival</span><span class="card-basic-result">none</span></li>
        <li><span class="card-basic-info">Total Gains</span><span class="card-basic-result">1 010 244,90€</span></li>
      </ul>
    </div>
    <!-- <p id="notice"><%= notice %></p>
    <%= link_to 'Back', root_path %> -->
  </div>
  <div class="back">
    <div class="special-gamer-card-back">
      <div class="header-card-back">
        <h2>Faker</h2>
      </div>
      <!-- <div class="graph-card">
        <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRcp75b2qfsNwI8zWwuctigcRbin-wMn158USAG4PDmCqMO6vTg7w" alt="">
      </div>
      <div class="contact-card">
        <%= link_to 'Follow', root_path %>
      </div> -->
      <div id="radar-wrapper">
        <div class="radar-header">
          <h1><em>STATISTIQUES</em></h1>
          <canvas id="myChart"></canvas>
        </div>
        <div class="radar-lower">
          <p>Cliquez sur ici pour être averti lors de mes prochaines compétitions ou mes rediffusions en direct !!!</p>
	 <button type="button" name="button">follow</button>
        </div>
      </div>
    </div>
  </div>
  </div>
</div>

<style media="screen">

body{
  font-family: 'Oswald', sans-serif;
}
.reseaux-sociaux{
  position: absolute;
  top: 70px;
  left: 0px;
}
.reseaux-sociaux ul{
  margin: 0;
  padding: 10px;
  background: rgba(0, 0, 0, 0.5);
}
.reseaux-sociaux li{
  margin-bottom: 10px;
}
.reseaux-sociaux img{
  display: block;
  margin: 5px;
}
#radar-wrapper{
  background: #ADA996;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #EAEAEA, #DBDBDB, #F2F2F2, #ADA996);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #EAEAEA, #DBDBDB, #F2F2F2, #ADA996); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  width: 100%;
  height: 100vh;
  margin: 0 auto;
  padding: 0;
}
#radar-wrapper h1{
  background: rgba(177, 67, 104,1);
  padding-top: 50px;
}
#radar-wrapper .radar-header{
  color: #EEE;
  margin: 0 auto;
  padding: 0;
  text-align: center;
}

#radar-wrapper .radar-lower{
  padding: 10px;
}
#radar-wrapper .radar-lower p{
  margin: 20px auto;
  width:80%;
}
#radar-wrapper button{
  background: rgba(206, 251, 95,1);
  padding: 5px 15px;
  box-shadow: 0px 0 6px 0;
  transition: .1s;
  font-size: 18px;
  text-transform: uppercase;
  color: #555;
}
#radar-wrapper button:hover{
  box-shadow: 0px 0 0 0;
}
#radar-wrapper .radar-lower p{
  font-weight: 100;
  text-align: center;
  padding: 10px;
}
@media (min-width: 725px) {
 #radar-wrapper{
   display: none;
 }
}





  .special-gamer-card{
    height: 96vh !important;
    width: 100%;
    text-align: center;
    background-color: rgba(31, 31, 81,1);
    display: flex;
    flex-direction: column;
  }
  .about-card{
    background: rgba(0,0,0,0.6);
    color: #FFF;
    padding: 5px;
  }
  .about-card .player-info li{
    margin: 10px;
    display: block;
  }
  .about-card .reseaux-sociaux{
    border-top: 1px #222 solid;
  }

  .about-card h3{
    padding: 1em 1em 0.3em 1em;
    margin: 0 auto;
    text-align: left;
    width: 80%;
  }
  .special-gamer-card .header-card{
    justify-content: center;
    background: url("https://image.noelshack.com/fichiers-md/2017/13/1490715864-5436-card-communaute.jpg") center center;
    background-size: cover;
    padding-top: 70px;
  }

  .special-gamer-card .header-card .gamer-photo-card{
    border-radius: 4px;
    width: 30vh;
  }
  .special-gamer-card .header-card ul li{
    display: inline;
  }
  .special-gamer-card .header-card .about-card .flag{
    width: 60px;
    border: 1px solid #fff;
  }
  .special-gamer-card .header-card .about-card img{
    width: 40px;
    height: 40px;
    border-radius: 0;
  }
  .special-gamer-card .header-card .bio{
    margin: 0 auto;
    background-color: rgba(20,20,20,0.4);
    border: 1px solid #EEE;
    font-style: italic;
    width: 80%;
    padding: 1em;
    font-weight: 100;
    text-align: justify;
  }
  .mid-card{
    display: flex;
    background-color: rgba(31, 31, 81,1);
  }
  .mid-card ul{
    margin: auto;
    padding: 5px;
    width: 80%;
  }
  .mid-card ul li{
    margin: 5px;
    display: flex;
    -webkit-transform: skew(-20deg);
	   -moz-transform: skew(-20deg);
	     -o-transform: skew(-20deg);
    font-size: 20px;
  }
  .mid-card .card-basic-info{
    background: #F45;
    flex: 1;
    margin-right: 5px;
  }
  .mid-card .card-basic-result{
    flex: 2;
    background: #AAA;
  }

  /***************** flipping animation start*/
  /***** back of the card start */
  .special-gamer-card-back{
    height: 100vh;
    width: 100%;
    background: rgba(31, 31, 81,.8);
  }
  .special-gamer-card-back .header-card-back{
    background: rgba(31, 31, 81,.8);
    color: #EEE;
  }
  .special-gamer-card-back .graph-card{
    background: #DDD;
  }
  .special-gamer-card-back .contact-card{
    margin: 10px auto;
  }
  .special-gamer-card-back .contact-card a{
    padding: 5px 55px;
    color: #222;
    background-color: rgba(206, 251, 95,1);
    box-shadow: 1px 1px 20px 0;
  }
  /***** back of the card end */
  /* entire container, keeps perspective */
.flip-container {
	perspective: 600px;
}
	/* flip the pane when hovered */
	.flip-container:hover .flipper, .flip-container.hover .flipper {
		transform: rotateY(180deg);
	}

.flip-container, .front, .back {
	width: 100%;
	height: 100%;

}

/* flip speed goes here */
.flipper {
	transition: 0.6s;
	transform-style: preserve-3d;
	position: relative;
}

/* hide back of pane during swap */
.front, .back {
	backface-visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
}

/* front pane, placed above back */
.front {
	z-index: 2;
	/* for firefox 31 */
	transform: rotateY(0deg);
}

/* back, initially hidden pane */
.back {
	transform: rotateY(180deg);
  z-index: 3;
}
  /***************** flipping animation end*/
</style>

app/views/classement/ranking.html.erb
<div class="classement">
  <div class="classement-header">
  </div>
  <div class="classement-game">
    <h1 class="top-10-title">Top 10 gamer</h1>
    <div class="classement-cover">
      <h3><%= link_to "Classement", classement_fullranking_path %></h3>
      <img src="http://www.lepoint.fr/images/2018/04/18/14525391lpw-14526018-article-jpg_5174276.jpg" alt="">
      <div class="classement-players">
        <h2>Top 10</h2>
        <table>
          <tr>
            <th>Position</th>
            <th>@Name</th>
            <th>Note</th>
          </tr>
          <tr>
            <td>1</td>
            <td><%= link_to "Faker", classement_profil_player_path %></td>
            <td>9.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Baba</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>6</td>
            <td>Geraldy</td>
            <td>6.7</td>
          </tr>
          <tr>
            <td>7</td>
            <td>Jean michel paladin</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>8</td>
            <td>Larry Bird</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>9</td>
            <td>Cesar</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>10</td>
            <td>Felix</td>
            <td>7.9</td>
          </tr>
        </table>
      </div>
    </div>
    <div class="classement-cover">
      <h3><%= link_to "Classement", root_path %></h3>
      <img src="https://media.contentapi.ea.com/content/dam/ea/easports/fifa/home/2017/june/5/homepage-share.jpg" alt="">
      <div class="classement-players">
        <h2>Top 10</h2>
        <table>
          <tr>
            <th>Position</th>
            <th>@Name</th>
            <th>Note</th>
          </tr>
          <tr>
            <td>1</td>
            <td>Ronaldo9</td>
            <td>9.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Messi</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>SuperGoal</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Denja</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>6</td>
            <td>Tito</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>7</td>
            <td>PSG Champ</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>8</td>
            <td>Kevin</td>
            <td>6.7</td>
          </tr>
          <tr>
            <td>9</td>
            <td>Paul</td>
            <td>6.7</td>
          </tr>
          <tr>
            <td>10</td>
            <td>Carlos Valderama</td>
            <td>6.7</td>
          </tr>
        </table>
    </div>
</div>



    <div class="classement-cover">
      <h3>Tekken 7</h3>
      <img src="https://gameactuality.com/wp-content/uploads/2017/07/Tekken-7-05-HD.png" alt="">
      <div class="classement-players">
        <h2>Top 10</h2>
        <table>
          <tr>
            <th>Position</th>
            <th>@Name</th>
            <th>Note</th>
          </tr>
          <tr>
            <td>1</td>
            <td>Knee</td>
            <td>9.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>JDCR</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Anakin</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>SuperAkuma</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Genius</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>6</td>
            <td>Jimmy Tran</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>7</td>
            <td>Phoenix</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>8</td>
            <td>Fugsang</td>
            <td>6.7</td>
          </tr>
          <tr>
            <td>9</td>
            <td>Douglas</td>
            <td>6.7</td>
          </tr>
          <tr>
            <td>10</td>
            <td>De Niro</td>
            <td>6.7</td>
          </tr>
        </table>
    </div>
    </div>
  </div>
</div>